Package org.python.modules._weakref

# Interface ReferenceBackendFactory

public interface ReferenceBackendFactory
Reserved for use by JyNI.

## Method Summary

Modifier and Type
Method
Description
`ReferenceBackend`
`makeBackend(GlobalRef caller, PyObject referent)`
`void`
`notifyClear(ReferenceBackend ref, GlobalRef caller)`
`void`
`updateBackend(ReferenceBackend ref, GlobalRef caller)`

## Method Details

### makeBackend

ReferenceBackend makeBackend(GlobalRef caller, PyObject referent)

### notifyClear

void notifyClear(ReferenceBackend ref, GlobalRef caller)

### updateBackend

void updateBackend(ReferenceBackend ref, GlobalRef caller)